<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{main-layout.html::main-fragment(~{::title},~{::#thymeleaf-main-content})}">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" th:href="@{/webjars/bootstrap/5.3.0/css/bootstrap.min.css}"/>
    <title>Exemple Thymeleaf</title>
</head>
<body>
    <div class="container-fluid" id="thymeleaf-main-content">
        <h1>Exemple</h1>
        <div class="alert alert-primary col-md-2" th:text="${i}">le texte statique</div>    
        <h4 class="mt-3">Accès à un objet</h4>
        <div th:text="${per1.prenom} + ${per1.nom}"></div>
        <div th:text="${per1['prenom']} + ${per1['nom']}"></div>
        <h4 class="mt-3">Accès à un tableau ou une collection</h4>
        <div th:text="${tab[1]}"></div>
        <div th:text="${m.john}"></div>
        <div th:text="${m['marcel']}"></div>
        <h4 class="mt-3">Concaténation</h4>
        <div th:text="${per1.prenom} + ' '  + ${per1.nom}"></div>
        <div th:text="|personne = ${per1.prenom} ${per1.nom}|"></div>
        <h4 class="mt-3">URL</h4>
        <a class="btn btn-primary" th:href="@{/exemple/testmodel}">Exemple test model</a>
        <a th:href="@{/exemple/testpath/{id1}(id1=${i})}">exemple path variable</a>
        <a th:href="@{/exemple/testparam(id=${i})}">exemple param variable</a>
        
        <h4 class="mt-3">Condition</h4>
        <div class="alert alert-secondary col-md-3" th:if="${val>10}">
            <p>La valeur est supérieur à 10</p>
        </div>
<!--        <div class="alert alert-secondary col-md-3" th:if="${val<10}">-->
        <div class="alert alert-secondary col-md-3" th:unless="${val>10}">
            <p>La valeur est inférieur ou égale à 10</p>
        </div>
        <p th:text="${val}?${val*3}"/>
        <p th:text="${val}?${val*3}: 'n\'existe pas'"/>
        <p th:text="${val}?:1000"/>
        <div th:switch="${val?:45}">
            <p th:case="23">égal à 23</p>
            <p th:case="45">égal à 45</p>
            <p th:case="${i}">égal à i</p>
            <p th:case="*">une autre valeur</p>
        </div>
        <p th:text="${val}?: _">val n'est pas définit</p>
        
        <p th:text="${html}"></p>
        <p th:utext="${html}"></p>
        <h4 class="mt-3">Boucle</h4>
        <table class="table">
            <thead class="table-dark">
            <tr>
                <th>ordre</th>
                <th>id</th>
                <th>prénom</th>
                <th>nom</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="personne,status: ${personnes}" th:class="${status.even}?'table-secondary'">
                <td th:text="|${status.count}/${status.size}|"/>
                <td th:text="${personne.id}"/>
                <td th:text="${personne.prenom}"/>
                <td th:text="${status.current.nom}"/>
            </tr>
            </tbody>
        </table>
    
    <h4 class="mt-3">Expression Utility Objects</h4>
    <div th:text="${#strings.toUpperCase(str)}"></div>
    <div th:text="${#dates.year(today)}"></div> 
    
    <h4 class="mt-3">Fragments</h4>
    <div th:insert="~{exemplefragment.html::exemplefooter('avril','2018')}"></div>
    <div th:replace="~{exemplefragment.html::exemplefooter('juillet','2023')}"></div>
    <div th:replace="~{exemplefragment.html::#frag1}"></div>
    </div>
</body>
</html>